# Interface ITextHoverExtension

All Known Implementing Classes:
  `RevisionInformation`

public interface ITextHoverExtension
Extension interface for `ITextHover`.

It provides a way for hovers to specify the information control creator they want to have used in order to create the hover control.

Since:
  3.0
See Also:
  - `IInformationControlCreator`
  - `ITextHover`

## Method Summary

Modifier and Type
Method
Description
`IInformationControlCreator`
`getHoverControlCreator()`
Returns the hover control creator of this text hover or `null`

## Method Details

### getHoverControlCreator

IInformationControlCreator getHoverControlCreator()
Returns the hover control creator of this text hover or `null`

Returns:
  the hover control creator or `null`